Subject: Re: linux-next: build warning after merge of the staging tree

From: Greg KH <[email-masked]>
Date: Wed, 9 Sep 2020 09:41:30 +0200

On Wed, Sep 09, 2020 at 05:16:21PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the staging tree, today's linux-next build (arm
> multi_v7_defconfig) produced this warning:
> 
> drivers/iio/adc/stm32-adc-core.c: In function 'stm32_adc_core_switches_probe':
> drivers/iio/adc/stm32-adc-core.c:598:5: warning: ignoring return value of 'dev_err_probe' declared with attribute 'warn_unused_result' [-Wunused-result]
>   598 |     dev_err_probe(dev, ret, "can't get booster\n");
>       |     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> 
> Introduced by commit
> 
>   ce30eeb613cb ("iio: adc: stm32: Simplify with dev_err_probe()")

Offending patch now dropped from the driver-core tree, thanks.

greg k-h